V2.0
get
/ec-dc-svc/rest/v2.0/studies/{studyId}/{mode}/dataelements/{dataelementId}/{opeartionType}/childItems
Retrieves all the child items, forms and visits required to be cleared in order to modify a given data element. The response also contains the eventInstanceNum fields of the child item.
Request
Path Parameters
-
dataelementId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the underlying data element.Example:
906F37FB48E3421D899E1EBF885FF959 -
mode(required): string
Mode of the study, accepts: test, active, or training.Example:
active -
opeartionType(required): string
Scope of the API is it clear/updateExample:
clear -
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
9FCBB303F8D24A3FB7DABCACF7600629
Query Parameters
-
value: array[string]
Values of the data element getting passed.Example:
[ "value1", "value2" ]
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object ChildItemDto2
Extended child item metadata with event instance number
Nested Schema : ChildItemDto2
Type:
objectExtended child item metadata with event instance number
Show Source
-
branchVisit: boolean
Indicates if the item belongs to a branch visitExample:
false -
eventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical event like Screening, Visit 1 etc.Example:
0123456789ABCDEF0123456789ABCDEF -
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits. It is null for scheduled events.Example:
1 -
formId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
0123456789ABCDEF0123456789ABCDEF -
inFuture: boolean
Whether the item belongs to a future visit instanceExample:
false -
isHidden: boolean
Whether the item is hidden by rule or configurationExample:
false -
isReadOnly: boolean
Whether the item is read-onlyExample:
false -
itemId: string
Unique Item identifier (UUID, 32-character uppercase hexadecimal string) from the study Designer, associated to a form.Example:
0123456789ABCDEF0123456789ABCDEF -
title: string
Display title of the child itemExample:
Height -
type: string
Type/category of the child item (e.g., Question, Section)Example:
Question -
visitTitle: string
Title of the visit containing this itemExample:
Screening
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object